Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226004 - Merge Review: libfontenc
Summary: Merge Review: libfontenc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:21 UTC by Nobody's working on this, feel free to take it
Modified: 2010-09-08 05:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 05:50:10 UTC
panemade: fedora-review+


Attachments (Terms of Use)
merge-review cleanup patch (deleted)
2010-09-07 06:23 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:21:29 UTC
Fedora Merge Review: libfontenc

http://cvs.fedora.redhat.com/viewcvs/devel/libfontenc/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2010-09-07 06:20:16 UTC
rpmlint gave

libfontenc.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, runtish
libfontenc.src: W: name-repeated-in-summary C libfontenc
libfontenc.src: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
libfontenc.src:30: W: unversioned-explicit-obsoletes XFree86-devel
libfontenc.src:30: W: unversioned-explicit-obsoletes xorg-x11-devel
libfontenc.src: W: invalid-url Source0: ftp://ftp.x.org/pub/individual/lib/libfontenc-1.0.5.tar.bz2 <urlopen error ftp error: timed out>
libfontenc.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, runtish
libfontenc.x86_64: W: name-repeated-in-summary C libfontenc
libfontenc.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
libfontenc.x86_64: E: zero-length /usr/share/doc/libfontenc-1.0.5/AUTHORS
libfontenc-devel.x86_64: W: obsolete-not-provided XFree86-devel
libfontenc-devel.x86_64: W: obsolete-not-provided xorg-x11-devel
libfontenc-devel.x86_64: W: no-documentation


Suggestions:
1)As this review is currently for F15, following should be implemented in spec
 a) buildroot should be removed
 b) %clean not needed
 c) cleaning of buildroot at start of %install also not needed

2) AUTHORS file should be removed as its zero-length.

Comment 2 Parag AN(पराग) 2010-09-07 06:23:30 UTC
Created attachment 443407 [details]
merge-review cleanup patch

Comment 3 Parag AN(पराग) 2010-09-07 06:43:29 UTC
Maintainer please commit above patch or approve me to commit it.

Comment 4 Jason Tibbitts 2010-09-07 16:40:57 UTC
ssp and ajax have previously asked me to just go ahead and deal with simple merge review cleanups for them.  I committed your patch to master, but did not build.

Comment 5 Parag AN(पराग) 2010-09-08 05:50:10 UTC
To make myself happy, I have built above changes to make sure some other spec commit will not overwrite it.

APPROVED libfontenc-1.0.5-3.fc15 and Closing this review.


Note You need to log in before you can comment on or make changes to this bug.